# Uses of Interface
org.w3c.dom.UserDataHandler

Packages that use UserDataHandler
Package
Description
javax.imageio.metadata
A package of the Java Image I/O API dealing with reading and writing metadata.
org.w3c.dom
Provides the interfaces for the Document Object Model (DOM).

## Uses of UserDataHandler in javax.imageio.metadata

Methods in javax.imageio.metadata with parameters of type UserDataHandler
Modifier and Type
Method
Description
`Object`
IIOMetadataNode.`setUserData(String key, Object data, UserDataHandler handler)`
This DOM Level 3 method is not supported for `IIOMetadataNode` and will throw a `DOMException`.

## Uses of UserDataHandler in org.w3c.dom

Methods in org.w3c.dom with parameters of type UserDataHandler
Modifier and Type
Method
Description
`Object`
Node.`setUserData(String key, Object data, UserDataHandler handler)`
Associate an object to a key on this node.